#ifndef _DATA_TYPE_NOT_SUPPORTED_EXCEPTION_H
#define _DATA_TYPE_NOT_SUPPORTED_EXCEPTION_H
#include<string.h>
class DataTypeNotSupportedException
{
public:
	DataTypeNotSupportedException()
	{

	}
	DataTypeNotSupportedException(std::string message)
	{
		this->message = message;
	}

	~DataTypeNotSupportedException(){}

	/**
	* Sets the message in the exception
	* \param msg 
	*/
	void setMsg(std::string msg)
	{
		this->message = msg;
	}

	/**
	* Returns a message.
	* \return 
	*/
	std::string getMsg()
	{
		return(this->message);
	}
		

private:
	//Stores the message for the exeption
	std::string message;
};


#endif //_DATA_TYPE_NOT_SUPPORTED_EXCEPTION_H
