#ifndef CGlyphTool_H
#define CGlyphTool_H

#include <xmdv/CFlatGlyph.h>

class CGlyphTool : public CFlatGlyph
{
private: 
    ARR<Vec2> poly;

public:
	CGlyphTool(CFlatDisplayInformation* hier_info);
	~CGlyphTool() {}

protected:
    //set parameters used for drawing, to be rewritten in subclasses;
    void Draw();

    //event handlers
    void InputMouseMotion(int x, int y);
    void InputButtonPress(int button, int x, int y);
    void InputButtonRelease(int button, int x, int y);

};

#endif



