#ifndef CHierHist_H
#define CHierHist_H

#include <xmdv/CHierDisplay.h>

#define HISTO_RES 100
#define BORDER 5
#define TOP_BORDER BORDER
#define BOT_BORDER 3*BORDER

class CHierHist : public CHierDisplay
{
public:
	CHierHist(CHierDisplayInformation* hier_info);
	~CHierHist();

    //draw the canvas
    void Draw();

    //event handlers
    void InputMouseMotion(int x, int y);
    void InputButtonPress(int button, int x, int y);
//    void InputButtonRelease(int button, int x, int y);

	static ARR<int> histo;
	static void cfHistoInit();
	static void cfHistoFinalize();

private:
	static void nodes_selected();

};

#endif
