#ifndef CHierTreemap_H
#define CHierTreemap_H

#include <xmdv/CHierDisplay.h>

class colormap;

class CHierTreemap : public CHierDisplay
{
public:
	CHierTreemap(CHierDisplayInformation* hier_info);
	~CHierTreemap();

    //draw the canvas
    void Draw();

private:
	colormap *treemap_CMAP;

	void paintLeaves(grCanvas *canvas, Cluster *node);
	void traverseTree(grCanvas *canvas, Cluster *node, int curr_ht,
					  double radius, bool brushed);

};

extern void cfTreeMapInit();


#endif

