#ifndef _STREAMS_H
#define _STREAMS_H

#ifdef OLD_IOSTREAM_LIBRARIES

// If you want the OLD iostream libraries:
#include <streambuf.h>
#include <fstream.h>
#include <iomanip.h>
#include <iostream.h>
#include <istream.h>
#include <ostream.h>
#include <strstream.h>
#include <stream.h>

#else

// If you want the NEW iostream libraries:
#include <fstream>
#include <iomanip>
#include <ios>
#include <iostream>
#include <istream>
#include <ostream>
#include <streambuf>
#include <strstream>

#endif // _OLD_IOSTREAM_LIBRARIES

#ifdef STD_NAMESPACE

#define USE_STD using namespace std;
#define STD std::

#else

#define USE_STD 
#define STD 

#endif // STD_NAMESPACE

#endif // _STREAMS_H
